import { Response } from "express"
import { GetVulnerabilityAggParams } from "@common/types"
import ApiResponseHandler from "api-response-handler"
import { getVulnerabilityAgg } from "services/summary/vulnerabilities"
import { MetloRequest } from "types"

export const getVulnerabilitySummaryHandler = async (
  req: MetloRequest,
  res: Response,
): Promise<void> => {
  try {
    const params: GetVulnerabilityAggParams = req.query
    const out = await getVulnerabilityAgg(req.ctx, params)
    await ApiResponseHandler.success(res, out)
  } catch (err) {
    await ApiResponseHandler.error(res, err)
  }
}
